{"title":"Get customers","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customer_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customer_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customer_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a customer object with properties and relationships in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":85,"chars":2315}],"text":"Retrieve the properties and relationships of a customer object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/customers({id})\n```\n> NOTE\n> To include the financial details of a customer, expanding on customerFinancialDetails:\n```GET\n\n## Request headers\n\n|Header|Value|\n|------|-----|\n|Authorization  |Bearer {token}. Required. |\n\n## Request body\nDon't supply a request body for this method.\n\n## Response\nIf successful, this method returns a ```200 OK``` response code and a **customers** object in the response body.\n\n**Requests**\n\nHere are some example requests.\n\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/customers({id})\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/customers({id})?$expand=customerFinancialDetails, picture, defaultDimensions, currency, paymentTerm, shipmentMethod, paymentMethod\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/customers({id})?$expand=picture, currency, paymentMethod\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"f2a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"10000\",\n    \"displayName\": \"Adatum Corporation\",\n    \"type\": \"Company\",\n    \"addressLine1\": \"192 Market Square\",\n    \"addressLine2\": \"\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"\",\n    \"email\": \"robert.townes@contoso.com\",\n    \"website\": \"\",\n    \"taxLiable\": true,\n    \"taxAreaId\": \"90196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxAreaDisplayName\": \"ATLANTA, GA\",\n    \"taxRegistrationNumber\": \"\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"paymentTermsId\": \"04a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"paymentMethodId\": \"3b196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"blocked\": \" \",\n    \"lastModifiedDateTime\": \"2020-08-21T07:38:44.293Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_customer\ndynamics_customer_delete\ndynamics_customer_create\ndynamics_customer_update"}